[arch-commits] Commit in subversion/trunk (PKGBUILD svnmerge.py)

Rémy Oudompheng remy at archlinux.org
Mon Aug 30 18:46:38 EDT 2010


    Date: Monday, August 30, 2010 @ 18:46:38
  Author: remy
Revision: 89281

upgpkg: subversion 1.6.9-6
Rebuild for python2.

Modified:
  subversion/trunk/PKGBUILD
  subversion/trunk/svnmerge.py

-------------+
 PKGBUILD    |   18 ++++++++++++------
 svnmerge.py |    2 +-
 2 files changed, 13 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-30 21:38:29 UTC (rev 89280)
+++ PKGBUILD	2010-08-30 22:46:38 UTC (rev 89281)
@@ -4,12 +4,12 @@
 
 pkgname=subversion
 pkgver=1.6.9
-pkgrel=5
+pkgrel=6
 pkgdesc="Replacement for CVS, another versioning system (svn)"
 arch=('i686' 'x86_64')
 license=('apache' 'bsd')
 depends=('neon' 'apr-util')
-makedepends=('heimdal' 'apache' 'python' 'perl' 'swig' 'ruby' 'java-runtime' 
+makedepends=('heimdal' 'apache' 'python2' 'perl' 'swig' 'ruby' 'java-runtime' 
              'autoconf' 'sqlite3' 'db' 'e2fsprogs' 'libgnome-keyring' 
 'kdelibs')
 source=(http://subversion.tigris.org/downloads/$pkgname-$pkgver.tar.bz2
@@ -24,8 +24,10 @@
 optdepends=('libgnome-keyring' 'kdeutils-kwallet' 'bash-completion: for svn bash completion')
 
 build() {
-   cd ${srcdir}/${pkgname}-${pkgver} || return 1
+   cd ${srcdir}/${pkgname}-${pkgver}
 
+   export PYTHON=/usr/bin/python2
+
    # apply patches
    patch -p0 < $srcdir/subversion.rpath.fix.patch || return 1
    patch -p1 -i $srcdir/subversion.suppress.deprecation.warnings.patch \
@@ -41,7 +43,11 @@
    # build
    (make external-all && make LT_LDFLAGS="-L$Fdestdir/usr/lib" local-all ) \
                || return 1
+}
 
+package() {
+   cd ${srcdir}/${pkgname}-${pkgver}
+
    # install
    export LD_LIBRARY_PATH=${pkgdir}/usr/lib:$LD_LIBRARY_PATH
    make DESTDIR=${pkgdir} install || return 1
@@ -49,8 +55,8 @@
    make DESTDIR=${pkgdir} swig-py || return 1
    make install-swig-py DESTDIR=${pkgdir} || return 1
 
-   mkdir -p ${pkgdir}/usr/lib/python2.6 || return 1
-   mv ${pkgdir}/usr/lib/svn-python/ ${pkgdir}/usr/lib/python2.6/site-packages \
+   mkdir -p ${pkgdir}/usr/lib/python2.7 || return 1
+   mv ${pkgdir}/usr/lib/svn-python/ ${pkgdir}/usr/lib/python2.7/site-packages \
                || return 1
 
    mkdir -p ${pkgdir}/usr/share/subversion || return 1
@@ -90,6 +96,6 @@
          'a2b029e8385007ffb99b437b30521c90'
          'a0db6dd43af33952739b6ec089852630'
          'c459e299192552f61578f3438abf0664'
-         '21bf3aa5b797ce98eba8307f30e9c070'
+         'a6371baeda7e224504629ecdda2749b4'
          '6b4340ba9d8845cd8497e013ae01be3f'
          '1166f3b7413d7e7450299b3525680bbe')

Modified: svnmerge.py
===================================================================
--- svnmerge.py	2010-08-30 21:38:29 UTC (rev 89280)
+++ svnmerge.py	2010-08-30 22:46:38 UTC (rev 89281)
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python2
 # -*- coding: utf-8 -*-
 # Copyright (c) 2005, Giovanni Bajo
 # Copyright (c) 2004-2005, Awarix, Inc.



More information about the arch-commits mailing list